Redmine - Feature #680

free text ticket filter
2008-02-17 12:53 - Sven Schuchmann

Status: Closed Start date: 2008-02-17
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues filter Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description

Hi,

I think it would be nice to have a "text" ticket filter.

So you would be able to search in a subset of tickets.

e.g.
Status = new

Assigned = to me

Text = <a string which is in the ticket (description or note)>

Related issues:

Related to Redmine - Feature #5893: Filter issues by notes Closed 2010-07-16
Is duplicate of Redmine - Feature #38402: "Any searchable text" filter for is... Closed
History

#1 - 2008-05-18 20:56 - Sven Schuchmann

- Target version set to 0.8

#2 - 2008-08-13 13:48 - Sven Schuchmann

| have seen that there is a new filter for subject search,
maybe it is possible to add one similar filter for history and comments?

#3 - 2008-08-13 15:31 - Thomas Lecavelier
- Assignee deleted (Jean-Philippe Lang)
- Target version deleted (0.8)

#4 - 2009-05-20 04:26 - sebastian scarano

hey!

that would be a great thing!

any chances of seeing it implemented in the near future???

#5 - 2011-10-27 13:11 - Nayuta Taga

+1

#6 - 2016-09-13 07:04 - Toshi MARUYAMA

- Category changed from Issues to Issues filter

#7 - 2016-09-13 07:07 - Toshi MARUYAMA
- Related to Feature #5893: Filter issues by notes added

#8 - 2022-09-01 17:02 - Go MAEDA

+1

A filter for description was added in Redmine 3.2 (#1159) and a filter for notes was added in 5.0 (#5893). | want a filter that searches description and
note.
https://www.redmine.org/issues/1159
https://www.redmine.org/issues/5893

A filter for Notes implemented in Redmine 5.0 makes it easier to find issues. However, when you want to find issues that contain certain keywords, |
think you want to search for both description and notes. In fact, | often search using the notes filter and then search again using the description filter.

It would be a great enhancement if Redmine will have a filter that searches both description and notes. Or a filter that allows you to search for the
subject, description, and notes at once is also would be nice.

#9 - 2023-04-09 13:58 - Go MAEDA

- Resolution set to Duplicate

This feature has been implemented as the new "Any searchable text" filter in #38402 for the upcoming Redmine 5.1.0. The filter searches the subject,
description, notes, and custom fields marked as "searchable".

#10 - 2023-04-09 13:58 - Go MAEDA

- Is duplicate of Feature #38402: "Any searchable text" filter for issues added

#11 - 2023-04-09 13:58 - Go MAEDA

- Status changed from New to Closed
https://www.redmine.org/issues/38402
http://www.tcpdf.org

